package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
* @author zx
* @date 2021/9/26 15:52
*/
public class ActivityUserQueryInfo{

    private String organIds;

    private String subjectIds;

    @ApiModelProperty(value = "单节课时长")
    private Integer singleCourseTime;

    @ApiModelProperty(value = "课程分类")
    private Integer categoryId;

    @ApiModelProperty(value = "指导老师编号")
    private Integer teacherId;

    @ApiModelProperty(value = "用于模糊查询")
    private String search;

    @ApiModelProperty(value = "学员列表")
    private List<Integer> studentIds;

    public List<Integer> getStudentIds() {
        return studentIds;
    }

    public void setStudentIds(List<Integer> studentIds) {
        this.studentIds = studentIds;
    }

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public String getOrganIds() {
        return organIds;
    }

    public void setOrganIds(String organIds) {
        this.organIds = organIds;
    }

    public String getSubjectIds() {
        return subjectIds;
    }

    public void setSubjectIds(String subjectIds) {
        this.subjectIds = subjectIds;
    }

    public Integer getSingleCourseTime() {
        return singleCourseTime;
    }

    public void setSingleCourseTime(Integer singleCourseTime) {
        this.singleCourseTime = singleCourseTime;
    }

    public Integer getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Integer categoryId) {
        this.categoryId = categoryId;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }
}
